<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>Nummerreeks App | ~%header%</title>
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script src="/static/js/bcd.edit.user.js"></script>
	<script>
		const BASE_PATH = "~%basePath%";
		const MODEL_BEAN = ~%modelBean%;
		const PERMISSION = '~%permission%';
		const SEARCH_REQUEST = "~%js:searchRequest%";
		const HAS_REQUESTS = "~%hasRequests%" === "true";

		function closeWindow() {
			showListPage();
		}
	</script>
</head>
<body>

~%%include:adminNavbar:/html/include/AdminNavbar.html%

<h1>~%header%</h1>

<div class="center-screen" >
	<div class="small-input-container">
		<table id="input-container">
			<tr>
				<td class="left-col"><label for="firstName">Voornaam</label></td>
				<td class="right-col"><input type="text" id="firstName" name="firstName"></td>
			</tr>
			<tr>
				<td class="left-col"><label for="lastName">Achternaam</label></td>
				<td class="right-col"><input type="text" id="lastName" name="lastName"></td>
			</tr>
			<tr>
				<td class="left-col">
					<label for="upn" title="User Principal Name">UPN</label>
				</td>
				<td class="right-col"><input type="text" id="upn" name="upn"></td>
			</tr>
			<tr>
				<td class="left-col"><label for="role">Rol</label></td>
				<td class="right-col">
					<select id="role" name="role">
						<option value="0">Viewer</option>
						<option value="1">User</option>
						<option value="2">Admin</option>
					</select>
				</td>
			</tr>
			<tr>
				<td class="left-col"><label for="active">Actief</label></td>
				<td class="right-col"><input type="checkbox" id="active" name="active"></td>
			</tr>
		</table>
			
		~%%include:/html/include/EditButtons.html%
		
	</div>
</div>

~%%include:bsDialog:/html/include/BSDialog.html%
	
<script>	
$(document).ready(function() {

	initEditPage();

	if(!HAS_REQUESTS && !isNull(MODEL_BEAN.userId)) {
		$("#delete-button").css("display", "inline-block").click(function() {
			deleteRecord("Gebruiker", MODEL_BEAN.userId, MODEL_BEAN.userName);
		});
	}

});
</script>

</body>
</html>